WordPress.org

Ready to get started?Download WordPress

Forums

mu-wordpress and "2010 Weaver 1.2.3" (5 posts)

  1. edwardsmark
    Member
    Posted 3 years ago #

    hello all - (please forgive this newbie if this was covered elsewhere)

    i very recently upgraded to mu 3.0.1 (smooth process!) and started playing the incredible power of "2010 Weaver 1.2.3"

    is there any way we can give users privilege to edit their weaver themes without giving admin privilege? i cant seem to figure that out.

    thank you very much,
    mark

  2. What is 2010 Weaver? Link please?

  3. David Sader
    Member
    Posted 3 years ago #

    2010 Weaver has a version tailored to Multisite - Twenty Ten Multi-Weaver.

    If there are users you trust to edit themes, promote them to SuperAdmin and trust them with the entire site/server.

    To give users the privilege to edit themes, or insert any php/script, also gives them the privilege to unlink any file in your web server, and any and all data in the db, etc and etc.

    Multisite SuperAdmins need to be vigilant when installing themes with option pages that allow users to insert unfiltered html/java/php. If you allow it, one day it will all be gone.

  4. edwardsmark
    Member
    Posted 3 years ago #

    thank you David for answering me.

    i was hoping i could just give my users access to ONLY the twenty-ten tab options in their own individual blogs:

    2010 Weaver V1.2.3 Options

    • Weaver Themes
    • Main Options
    • Advanced Options
    • Save/Restore Themes
    • Snippets

    is this even possible?

    i played with the SuperAdmin - i would hopefully only allow them to play with their own blog and not mess with any other.

    if not, it was a nice dream.... :-(

    note that both: 2010-weaver and twentyten-multiweaver were installed in my /wp-content/themes directory

    however, when i removed both above and installed:
    /twentyten
    /twentyten-multiweaver

    i kept getting the following rather mean php error:

    PHP Fatal error: Cannot redeclare _checkactive_widgets() (previously declared in /blah/blah/wp-content/themes/twentyten-multiweaver/functions.php:853) in /blah/blah/wp-content/themes/twentyten/functions.php on line 506

    any ideas?

    thank you ever so much!

    mark

  5. edwardsmark
    Member
    Posted 3 years ago #

    scratch it....

    its working now!

    in order to get it working properly, i had to:

    1) delete the original 2010-weaver and any other weaver theme
    2) use mu-wp theme manager to install Twenty Ten
    3) manually install Twenty Ten Multi-Weaver

    thanks again,
    mark

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags

No tags yet.